@import '../../styles/mixins.scss';
@import '../../styles/variables.scss';

footer {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: auto;
  background-color: $text-extra-black;
  margin-top: 130px;

  @media (max-width: $large) {
    margin-top: 70px;
  }
}

.footer {
  &__wrapper {
    max-width: 1170px;
    margin: 0 auto;
  }

  &__contacts {
    padding: 43px 0;
    display: flex;
    justify-content: space-between;
    color: $white;

    @media (max-width: $large) {
      display: none;
    }
  }

  &__info {
    @include secondary-font-12-normal($text-extra-grey-light);
    line-height: 25px;
    text-align: right;
    display: flex;
    justify-content: space-between;
    width: 48%;
    position: relative;

    &::before {
      content: '';
      position: absolute;
      width: 60px;
      height: 1px;
      background-color: $white;
      left: -20%;
      top: 50%;
      transform: rotate(90deg);
    }
  }
  //social
  &__social-wrapper {
    max-width: 1180px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    padding: 30px 5px;
  }

  &__social {
    background-color: $white;
  }

  &__social-year {
    @include secondary-font-12-500($black-primary);
    line-height: 19px;
  }

  &__social-icons {
    display: flex;
    justify-content: space-between;
  }

  &__social-icon {
    background-position: center;
    background-repeat: no-repeat;
    margin: 0 auto;
    height: 20px;
    width: 20px;
    margin-left: 20px;
    &--google {
      background-image: url('/assets/svg/social-icon-google.svg');
    }
    &--vk {
      background-image: url('/assets/svg/social-icon-vk.svg');
    }
    &--skype {
      background-image: url('/assets/svg/social-icon-skype.svg');
    }
    &--facebook {
      background-image: url('/assets/svg/social-icon-facebook.svg');
    }
  }
}

.footer-nav {
  &__list {
    column-count: 2;
    column-gap: 57px;
  }

  &__list-item {
    @include secondary-font-12-500($text-white);
    line-height: 25px;
    transition: 0.3s;

    &:hover {
      opacity: 0.5;
    }
  }
}
